Package ghidra.pcode.emulate

# Class BreakTableCallBack

java.lang.Object
ghidra.pcode.emulate.BreakTableCallBack

All Implemented Interfaces:
  `BreakTable`

public class BreakTableCallBack extends Object implements BreakTable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BreakTableCallBack(SleighLanguage language)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `doAddressBreak(Address addr)`
  `boolean`
  `doPcodeOpBreak(PcodeOpRaw curop)`
  `void`
  `registerAddressCallback(Address addr, BreakCallBack func)`
  `void`
  `registerPcodeCallback(String name, BreakCallBack func)`
  `void`
  `setEmulate(Emulate emu)`
  `void`
  `unregisterAddressCallback(Address addr)`
  `void`
  `unregisterPcodeCallback(String name)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_NAME

    public static final String DEFAULT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BreakTableCallBack

    public BreakTableCallBack(SleighLanguage language)

- ## Method Details

  - ### registerPcodeCallback

    public void registerPcodeCallback(String name, BreakCallBack func)

  - ### unregisterPcodeCallback

    public void unregisterPcodeCallback(String name)

  - ### registerAddressCallback

    public void registerAddressCallback(Address addr, BreakCallBack func)

  - ### unregisterAddressCallback

    public void unregisterAddressCallback(Address addr)

  - ### setEmulate

    public void setEmulate(Emulate emu)
    Specified by:
      `setEmulate` in interface `BreakTable`

  - ### doPcodeOpBreak

    public boolean doPcodeOpBreak(PcodeOpRaw curop)
    Specified by:
      `doPcodeOpBreak` in interface `BreakTable`

  - ### doAddressBreak

    public boolean doAddressBreak(Address addr)
    Specified by:
      `doAddressBreak` in interface `BreakTable`